Bug 985585 - Failure trying to stop/start haproxy
Failure trying to stop/start haproxy
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 15:49 EDT by Mrunal Patel
Modified: 2015-05-14 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 19:06:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mrunal Patel 2013-07-17 15:49:32 EDT
Description of problem:
[backend-commentoid.rhcloud.com bin]\> ~/haproxy/bin/control stop
/opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:330:in `kill': Operation not permitted (Errno::EPERM)
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:330:in `stop'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:135:in `block in stop_all'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:131:in `each'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:131:in `stop_all'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/controller.rb:74:in `run'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:139:in `block in run'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `call'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `catch_exceptions'
    from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:138:in `run'
    from /var/lib/openshift/5191a04ee0b8cdfe4f000196/haproxy/usr/bin/haproxy_ctld_daemon.rb:18:in `<main>'

Version-Release number of selected component (if applicable):


How reproducible:
Only affects some users.

Steps to Reproduce:
Not yet known.
Comment 2 chunchen 2013-07-17 22:59:21 EDT
This issue does not reproduce on STG(devenv-stage_414), please refer to the following results:

Check this issue with a jbossews-2.0 scalable app:
[cews2s0-cstg23.stg.rhcloud.com bin]\> ~/haproxy/bin/control stop
CLIENT_RESULT: HAProxy instance is stopped

[cews2s0-cstg23.stg.rhcloud.com bin]\> ~/haproxy/bin/control start
CLIENT_RESULT: HAProxy instance is started

The testing account information:
# rhc account
Server:                     stg.openshift.redhat.com
Login:                      chunchen+23@redhat.com
Plan:                       Silver
Gears Used:                 5
Gears Allowed:              16
Allowed Gear Sizes:         small, medium
SSL Certificates Supported: yes
Comment 3 fred 2013-07-19 17:46:27 EDT
I investigated this over a couple of hours on July 17 with the help of openshift's IRC group, and the issue was there, despite having restarted the app and using app-restart as well as ~/haproxy/bin/control stop. However, I just tested again to push the code without having made any changes to configurations and it works.
remote: CLIENT_RESULT: HAProxy instance is stopped
remote: CLIENT_RESULT: HAProxy instance is started

You may close the ticket for now, I can reopen if the issue appears again.

Note You need to log in before you can comment on or make changes to this bug.